Connection Signals

Signals:

- signing-on
- signed-on
- autojoin
- signing-off
- signed-off
- connection-error

See also
  connection.h

# signing-on

void (*signing_on)(PurpleConnection *gc);

Description:
  Emitted when a connection is about to sign on.

Parameters

  gc | The connection that is about to sign on.

# signed-on

void (*signed_on)(PurpleConnection *gc);

Description:
  Emitted when a connection has signed on.

Parameters

  gc | The connection that has signed on.

# autojoin

gboolean (*autojoin)(PurpleConnection *gc);

Description:
  Emitted when a connection has signed on, after the signed-on signal, to signal UIs to autojoin chats if they wish. UIs should connect to this with `PURPLE_SIGNAL_PRIORITY_HIGHEST` to allow plugins to block this signal before the UI sees it and then re-emit it later.

Parameters

  gc | The connection that has signed on.

Returns
  `TRUE` if the signal was handled or `FALSE` otherwise. In practice, the return value is irrelevant, as it really only exists so plugins can block the UI's autojoin.

Since
  2.7.0

# signing-off

void (*signing_off)(PurpleConnection *gc);

Description:
  Emitted when a connection is about to sign off.

Parameters

  gc | The connection that is about to sign off.

# signed-off

void (*signed_off)(PurpleConnection *gc);

Description:
  Emitted when a connection has signed off.

Parameters

  gc | The connection that has signed off.

# connection-error

void (*connection_error)(PurpleConnection *gc, PurpleConnectionError err, const gchar *desc)

Description:
  Emitted when a connection error occurs, before signed-off.

Parameters

  gc | The connection on which the error has occurred
  err | The error that occurred
  desc | A description of the error, giving more information.